NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: postinstall: postfix: Can't find source directory for postfix scripts

On 8 Aug 2009, at 8:57, Hubert Feyrer wrote:
I've updated from netbsd 5.0 (release) to netbsd-5 as of yesterday, and during the upgrade, postinstall complained:

        postfix fix:
                Can't find source directory for postfix scripts

The system has only the 'base' and 'etc' sets installed,

That is to be expected. The postfix scripts, that "postinstall" talks about, are in the 'misc' set. The Postfix 2.6.2 distribution in NetBSD-current doesn't have this problem anymore because the scripts are now in "/usr/libexec" and not in "/etc/postfix". As a result the "postfix" target in "postinstall" was completely
removed which avoids the above "problem".

I do not use postfix, but still... should I worry?

No, Postfix will probably still work as the scripts are a in the 'etc' set as well. "postinstall" was only complaining the it couldn't check whether
they are up to date.

Is something broken?

No, see above.

        Kind regards

Matthias Scheler                 

Home | Main Index | Thread Index | Old Index